## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate icu_provider

Name:           rust-icu_provider
Version:        2.0.0
Release:        %autorelease
Summary:        Trait and struct definitions for the ICU data provider

License:        Unicode-3.0
URL:            https://crates.io/crates/icu_provider
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Drop benchmark-only criterion dependency
Patch:          icu_provider-fix-metadata.diff
# * Downstream-only: unconditionally skip compiling tests that would require the
#   circular (path-based) dev-dependency on the icu crate.
Patch10:        icu_provider-2.0.0-no-circular-dev-dependencies.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Trait and struct definitions for the ICU data provider.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+baked-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+baked-devel %{_description}

This package contains library source intended for building other packages which
use the "baked" feature of the "%{crate}" crate.

%files       -n %{name}+baked-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+deserialize_bincode_1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+deserialize_bincode_1-devel %{_description}

This package contains library source intended for building other packages which
use the "deserialize_bincode_1" feature of the "%{crate}" crate.

%files       -n %{name}+deserialize_bincode_1-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+deserialize_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+deserialize_json-devel %{_description}

This package contains library source intended for building other packages which
use the "deserialize_json" feature of the "%{crate}" crate.

%files       -n %{name}+deserialize_json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+deserialize_postcard_1-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+deserialize_postcard_1-devel %{_description}

This package contains library source intended for building other packages which
use the "deserialize_postcard_1" feature of the "%{crate}" crate.

%files       -n %{name}+deserialize_postcard_1-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+export-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+export-devel %{_description}

This package contains library source intended for building other packages which
use the "export" feature of the "%{crate}" crate.

%files       -n %{name}+export-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+logging-devel %{_description}

This package contains library source intended for building other packages which
use the "logging" feature of the "%{crate}" crate.

%files       -n %{name}+logging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+sync-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+sync-devel %{_description}

This package contains library source intended for building other packages which
use the "sync" feature of the "%{crate}" crate.

%files       -n %{name}+sync-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zerotrie-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zerotrie-devel %{_description}

This package contains library source intended for building other packages which
use the "zerotrie" feature of the "%{crate}" crate.

%files       -n %{name}+zerotrie-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f alloc,deserialize_json,export,serde,std

%build
%cargo_build -f alloc,deserialize_json,export,serde,std

%install
%cargo_install -f alloc,deserialize_json,export,serde,std

%if %{with check}
%check
%cargo_test -f alloc,deserialize_json,export,serde,std
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 04 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.0-1
- Update to version 2.0.0; Fixes RHBZ#2364942

* Wed May 21 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-3
- Stop hiding the deserialize_postcard_1 feature

* Mon May 12 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-2
- Update .rpmlintrc file for current rpmlint

* Thu Apr 10 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-1
- Initial package (close RHBZ#2358290)
## END: Generated by rpmautospec
